%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		unittest-cpp
Version:	1.6.1
Release:	%mkrel 1
Summary:	Lightweight unit testing framework for C++
License:	MIT
Group:		System/Libraries
URL:		https://github.com/unittest-cpp/unittest-cpp
Source0:	https://github.com/unittest-cpp/unittest-cpp/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel

%description
%{name} is a lightweight unit testing framework for C++.
Simplicity, portability, speed, and small footprint are all
very important aspects of %{name}.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
%{name} is a lightweight unit testing framework for C++.
Simplicity, portability, speed, and small footprint are all
very important aspects of %{name}.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Object files for development using %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q


%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete


%files -n %{libname}
%{_libdir}/libUnitTest++.so.%{major}*

%files -n %{devname}
%{_includedir}/UnitTest++/
%{_libdir}/libUnitTest++.so
%{_libdir}/pkgconfig/UnitTest++.pc


%changelog
* Sun Feb 12 2017 adrianomorselli <adrianomorselli> 1.6.1-1uplos2017
- rebuild

* Fri Dec 30 2016 bb <bb> - 1.6.1-1pclos2017
- import for new openshot

